Subject: 23.1; play-sound-file does not work

From: Tom Tromey <[email-masked]>
Date: Wed, 19 Aug 2009 15:48:36 -0600

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I'm using Emacs 23 on Fedora 11.

play-sound-file reliably does not work for me.  When I try it I get this
error:

play-sound: No usable sound device driver found

I don't know why this fails.

I looked at the code a tiny bit.  I think one possible fix would be to
write a PulseAudio sound back end for Emacs.  PulseAudio seems to be the
current way of producing sounds on Fedora.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-03 on x86-5.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10601901
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  gnus-undo-mode: t
  highlight-changes-visible-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-networks-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
o C-x C-v <return> C-x 1 C-s F A I L : C-x 4 f M-p 
M-p <M-backspace> <M-backspace> c d - v <backspace> 
<backspace> <backspace> m d - v <tab> <switch-frame> 
<switch-frame> M-b M-b C-k v a r - c <tab> m <tab> 
C-a C-e <return> C-s c r e a t e SPC g l o b a l C-w 
C-w <backspace> SPC a C-e C-p C-e C-u C-b C-x b <return> 
b C-/ C-c b C-x b <return> C-b C-b C-b C-SPC M-b M-b 
M-b C-b C-x r x i C-x b <return> C-f C-x r i i C-s 
c r e a t e SPC n u l l _ C-w C-s C-s C-p C-e C-b C-b 
C-b C-x r i i C-x C-g M-f C-u C-f C-f C-f C-d C-f C-f 
C-d C-x C-s C-x s n y y C-c a u p d M-/ . C-k C-x s 
y C-c b C-a n C-c b C-u C-SPC C-u C-SPC C-c a C-a C-k 
C-k C-k C-p C-e M-b M-b M-b M-b M-f C-M-k C-x s y n 
C-x 1 <f10> <f10> c C-g C-a C-k C-f C-c b <f10> <f10> 
<f10> <f10> C-z o E = M-v q s C-u C-u C-p C-u C-n SPC 
E q s C-z o <f10> <f10> C-z o C-v C-u C-n C-u C-n C-u 
C-n C-z o <f10> <f10> C-z o C-u C-n p SPC 5 0 <return> 
M-> C-z o <f10> <f10> C-z o C-p C-p SPC E S-SPC E C-z 
o C-x b 8 s c r C-g C-x C-f ~ / . e m <tab> a <tab> 
<return> C-s p l a y - C-b C-a M-m C-M-f C-x C-e C-z 
o q M-x r e p o r t - e m <tab> <return>

Recent messages:
Making completion list...
Note: file is write protected
Mark saved where search started
play-sound: No usable sound device driver found
Expiring articles...
Deleting article 118677 in mail.cygnus
Deleting article 118678 in mail.cygnus
Deleting article 118680 in mail.cygnus
Deleting article 118681 in mail.cygnus
Expiring articles...done

Tom